Overview | Modules | Class Hierarchy | Classes | Members

# TlpTools.h File Reference

`#include <iostream>`
`#include "tulip/tulipconf.h"`
`#include "tulip/PluginLoader.h"`

Include dependency graph for TlpTools.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE void tlp::initTulipLib (char *appDirPath=0)
- TLP_SCOPE void tlp::loadPlugins (PluginLoader *plug=0)
- TLP_SCOPE bool tlp::loadPlugin (const std::string &filename, PluginLoader *plug=0)
- TLP_SCOPE void tlp::loadPluginsFromDir (std::string dir, std::string type, PluginLoader *loader=0)
- TLP_SCOPE void tlp::loadPluginsCheckDependencies (PluginLoader *loader=0)
- TLP_SCOPE std::string tlp::demangleTlpClassName (const char *className)
- TLP_SCOPE std::istream * tlp::getIgzstream (const char *name, int open_mode=std::ios::in)
- TLP_SCOPE std::ostream * tlp::getOgzstream (const char *name, int open_mode=std::ios::out)
- TLP_SCOPE std::string tlp::getMajor (const std::string &release)
- TLP_SCOPE std::string tlp::getMinor (const std::string &release)

## Variables

- TLP_SCOPE const char tlp::PATH_DELIMITER
- TLP_SCOPE std::string tlp::TulipLibDir
- TLP_SCOPE std::string tlp::TulipPluginsPath
- TLP_SCOPE std::string tlp::TulipDocProfile
- TLP_SCOPE std::string tlp::TulipUserHandBookIndex
- TLP_SCOPE std::string tlp::TulipBitmapDir

Tulip Software by LaBRI Visualization Team 2001 - 2010